# Copyright 2011 Revolution Analytics
#    
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

 
stopifnot(require(rhdfs, quietly=TRUE))
stopifnot(require(RUnit, quietly=TRUE))

test.hdfs.defaults <- function()
{
	x <- hdfs.defaults()
	checkTrue( !is.null(x$local)) 
	checkTrue(!is.null(x$blocksize))
	checkTrue(!is.null(x$fs))
	checkTrue(!is.null(x$fs))
	checkTrue(!is.null(x$fu))
	checkTrue(!is.null(x$classpath))
        if (length(grep("Distributed", .jclass(x$fs)))){
		checkTrue( .jclass(x$fs) == "org.apache.hadoop.hdfs.DistributedFileSystem" )
	} else {
		checkTrue( .jclass(x$fs) ==  "org.apache.hadoop.fs.LocalFileSystem" )
	}
	checkTrue( .jclass(x$local) == "org.apache.hadoop.fs.LocalFileSystem" )
	checkTrue( attr(x$fu,"name") == "com.revolutionanalytics.hadoop.hdfs.FileUtils" )
	checkTrue( .jclass(x$conf) ==  "org.apache.hadoop.conf.Configuration")
	rm(x)
}
